package com.ruoyi.dezhi.domain;

import com.ruoyi.mxjb.domain.MxjbContants;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频接口对象 b_busi_dezhi_video
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public class BBusiDezhiVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Integer aliIdType = MxjbContants.Ali_Id_dezhi;

    /** ID */
    private Long id;

    /** 包ID */
    @Excel(name = "包ID")
    private String packId;

    /** 小节 */
    @Excel(name = "小节")
    private String sectionId;

    /** 章节ID */
    @Excel(name = "章节ID")
    private String chapterId;

    /** 播放次数 */
    @Excel(name = "播放次数")
    private Long plays;

    /** 播放完成次数 */
    @Excel(name = "播放完成次数")
    private Long played;

    /** 点击量 */
    @Excel(name = "点击量")
    private Long clicked;

    /** 标题 */
    @Excel(name = "标题")
    private String sectionName;

    /** 说明 */
    @Excel(name = "说明")
    private String sectionIntro;

    /** 章节时间 */
    @Excel(name = "章节时间")
    private String sectionTime;

    /** 章节排序 */
    @Excel(name = "章节排序")
    private String sectionSort;

    /** 章节老师 */
    @Excel(name = "章节老师")
    private String sectionTearcher;

    /** 章节url */
    @Excel(name = "章节url")
    private String sectionImaurl;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String sectionUrl;

    /** 视频点播ID */
    @Excel(name = "点播ID")
    private String sectionAliid;

    /** 来源 */
    @Excel(name = "来源")
    private String from;

    private Integer course;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPackId(String packId) 
    {
        this.packId = packId;
    }

    public String getPackId() 
    {
        return packId;
    }
    public void setSectionId(String sectionId) 
    {
        this.sectionId = sectionId;
    }

    public String getSectionId() 
    {
        return sectionId;
    }
    public void setChapterId(String chapterId) 
    {
        this.chapterId = chapterId;
    }

    public String getChapterId() 
    {
        return chapterId;
    }
    public void setPlays(Long plays) 
    {
        this.plays = plays;
    }

    public Long getPlays() 
    {
        return plays;
    }
    public void setPlayed(Long played) 
    {
        this.played = played;
    }

    public Long getPlayed() 
    {
        return played;
    }
    public void setClicked(Long clicked) 
    {
        this.clicked = clicked;
    }

    public Long getClicked() 
    {
        return clicked;
    }
    public void setSectionName(String sectionName) 
    {
        this.sectionName = sectionName;
    }

    public String getSectionName() 
    {
        return sectionName;
    }
    public void setSectionIntro(String sectionIntro) 
    {
        this.sectionIntro = sectionIntro;
    }

    public String getSectionIntro() 
    {
        return sectionIntro;
    }
    public void setSectionTime(String sectionTime) 
    {
        this.sectionTime = sectionTime;
    }

    public String getSectionTime() 
    {
        return sectionTime;
    }
    public void setSectionSort(String sectionSort) 
    {
        this.sectionSort = sectionSort;
    }

    public String getSectionSort() 
    {
        return sectionSort;
    }
    public void setSectionTearcher(String sectionTearcher) 
    {
        this.sectionTearcher = sectionTearcher;
    }

    public String getSectionTearcher() 
    {
        return sectionTearcher;
    }
    public void setSectionImaurl(String sectionImaurl) 
    {
        this.sectionImaurl = sectionImaurl;
    }

    public String getSectionImaurl() 
    {
        return sectionImaurl;
    }
    public void setSectionUrl(String sectionUrl) 
    {
        this.sectionUrl = sectionUrl;
    }

    public String getSectionUrl() 
    {
        return sectionUrl;
    }
    public void setSectionAliid(String sectionAliid) 
    {
        this.sectionAliid = sectionAliid;
    }

    public String getSectionAliid() 
    {
        return sectionAliid;
    }
    public void setFrom(String from) 
    {
        this.from = from;
    }

    public String getFrom() 
    {
        return from;
    }

    public Integer getAliIdType() {
        return aliIdType;
    }

    public void setAliIdType(Integer aliIdType) {
        this.aliIdType = aliIdType;
    }

    public Integer getCourse() {
        return course;
    }

    public void setCourse(Integer course) {
        this.course = course;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("packId", getPackId())
            .append("sectionId", getSectionId())
            .append("chapterId", getChapterId())
            .append("plays", getPlays())
            .append("played", getPlayed())
            .append("clicked", getClicked())
            .append("sectionName", getSectionName())
            .append("sectionIntro", getSectionIntro())
            .append("sectionTime", getSectionTime())
            .append("sectionSort", getSectionSort())
            .append("sectionTearcher", getSectionTearcher())
            .append("sectionImaurl", getSectionImaurl())
            .append("sectionUrl", getSectionUrl())
            .append("sectionAliid", getSectionAliid())
            .append("from", getFrom())
            .append("course", getCourse())
            .toString();
    }
}
